@import "../utils/variables";

.header{
  height: 800px;
  background: linear-gradient(253deg, #FFEE32 -13.48%, #D6D6D6 125.48%);
  position: relative;
  z-index: 100;


}
.header-top{
  display: flex;
  justify-content: space-between;
  padding-top: 27px;

  @media (min-width: $bp-tab) {
    padding-top: 38px;
  }

}
.header-burger{
  width: 56px;
  height: 56px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 3px;
  background-color: #FFEE32;
  border: solid $txt-color 2px;
  border-radius: 20px;
  & span{
    width: 16px;
    height: 2px;
    background-color: $txt-color;
    display: block;
  }
  .header-burger__span{
    width: 12px;
    margin-left: 4px;
  }
  @media (min-width: $bp-des){
    display: none;
  }
}
.header-txt{
  height: 239px;
  margin-top: 329px;

  color: $txt-color;
  font-family: "DynaPuff", sans-serif;
  font-size: 48px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;

  @media (min-width: $bp-tab) {
    margin-top: 179px;
    font-size: 80px;
  }
  @media (min-width: $bp-des) {
    margin-top: 394px;
  }
}
.header-nav{
  display: none;

  @media (min-width: $bp-des) {
    display: flex;
    margin-right: 165px;

    & ul{
      display: flex;
      align-items: center;
      gap: 20px;
      & li{
        display: block;
        padding: 10px 16px;
        border-radius: 20px;
        border: 1px solid #FFF;

        & a{
          color: $txt-color;
          font-family: 'Manrope', sans-serif;
          font-size: 16px;
          font-style: normal;
          font-weight: 700;
          line-height: normal;
        }
      }
    }
  }
}
.header-nav__one{
  &::before{
    display: inline;
    content: url('/dist/img/fi-rr-magic-wand.svg');
    margin-right: 12px;
  }
}.header-nav__two{
  &::before{
    display: inline;
    content: url("/dist/img/fi-rr-document.svg");
    margin-right: 12px;
  }
}.header-nav__three{
  &::before{
    display: inline;
    content: url("/dist/img/fi-rr-flower-tulip.svg");
    margin-right: 12px;
  }
}.header-nav__four{
  &::before{
    display: inline;
    content: url("/dist/img/fi-rr-comment-heart.svg");
    margin-right: 12px;
  }
}
.header-fixed{
  padding: 18px;
  background-color: $primary-back;
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 99;

  & .container{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
  }

  & .header-burger{
    background-color: $primary-back;
  }
  & .header-nav{
    margin-right: 0;
  }
}
.header-fixed__logo{
  display: block;
}
